<?php
	// Ejemplo de conexión a base de datos MySQL con PHP.
	//
	// Ejemplo realizado por Oscar Abad Folgueira: http://www.oscarabadfolgueira.com y https://www.dinapyme.com
	
	// Datos de la base de datos
	/*$usuario = "jolyf986_fvizcaino";
	$password = "usrfvizcaino159";
	$servidor = "localhost";
	$basededatos = "jolyf986_bdfvizcaino";
	*/
	// creación de la conexión a la base de datos con mysql_connect()
	$conexion = mysqli_connect( $servidor, $usuario, "usrfvizcaino159" ) or die ("No se ha podido conectar al servidor de Base de datos");
	
	// Selección del a base de datos a utilizar
	$db = mysqli_select_db( $conexion, $basededatos ) or die ( "Upps! Pues va a ser que no se ha podido conectar a la base de datos" );
    $conn = new mysqli($servidor, $usuario, $password, $basededatos);
	// establecer y realizar consulta. guardamos en variable.
	$consulta = "SELECT * FROM stocks";
	$resultado = mysqli_query( $conexion, $consulta ) or die ( "Algo ha ido mal en la consulta a la base de datos");
	
	if ($conn->connect_error) {
  		die("Connection failed: " . $conn->connect_error);
	}
	

	// Bucle while que recorre cada registro y muestra cada campo en la tabla.
	while ($columna = mysqli_fetch_array( $resultado ))
	{
		$disponible = $columna['disponible'];
		$idstock = $columna['idstock'];
        
        echo $idstock." disp ".$disponible."<br>";
			$sql = "INSERT INTO lineasregstocks (idstock,cantidadini,cantidadfin, codalmacendest,fecha,hora,motivo,nick) ".
			       "VALUES (".$idstock.",0,".$disponible.",'ALG','2020-05-26','20:16:01','Inventario 26 mayo 2020','admin2'".")";

			if ($conn->query($sql) === TRUE) {
			  echo "New record created successfully";
			} else {
			  echo "Error: " . $sql . "<br>" . $conn->error;
			}
			
	}
	$conn->close();	
	//echo "</table>"; // Fin de la tabla

	// cerrar conexión de base de datos
	mysqli_close( $conexion );
?>